#include <proto/dos.h>
#include <string.h>
#include <windows.h>

DWORD GetFullPathName (LPCSTR filename, DWORD buflen, LPSTR buf, LPSTR *filepart) {
	if (buf) strncpy(buf, filename, buflen);
	if (filepart) *filepart = IDOS->FilePart(buf);
}
